INDEXMAKER(1)

NAME
indexmaker - Creates index files for mrtg web sites (mrtg-2.17.2)

SYNOPSIS
indexmaker [options] mrtg.cfg [other.cfg ...]

OPTIONS
 --output=filename   set output filename (default: stdout)

 --filter title=~regexp  select targets by matching regexp against titles
 --filter pagetop=~regexp  select targets by matching regexp against pagetop
 --filter name=~regexp  select targets by matchin regexp against name

 --addhead=text      insert this text between </TITLE> and </HEAD>
 --title=text        set title of generated index file
 --subtitle=text     add a subtitle to the generated index file
 --bodyopt=text      set body tag options
 --headlevel=number  use <Hnumber> at top of page (default: 1)
 --pagetop=text      insert this text between <BODY> and <H1>...</H1>
 --pageend=text      insert this text after the main body
 --pagetopend=text   use this text for pagetop or pageend if undefined
 --nolegend          do not add the Mrtg legend at the end of the page

 --columns=number    show graphs in a table with x columns (default: 2)
 --perhost           show graphs of the same host on a row
 --compact           try to make a vertically more compact page
 --optlog            log the used command line in the page (default: log)

 --sort=title        sort graphs by title
 --sort=name         sort graphs by their name
 --sort=descr        sort graphs by their description
 --sort=original     leave as is (default)

 --enumerate         add a sequence number to the title of each graph

 --picfirst          place pictures before text (default: text first)
 --width=number      set width of graphs (default: not set)
 --height=number
 --sidebyside        place text / pictures side by side (default: above/below)
 --bold              use bold text (default: bold)
 --clicktext         make the text link to the inner page (like the image)

 --show=day          pick which graph to show in the index (default)
 --show=week
 --show=month
 --show=year
 --show=none

 --section=h1        h1 tag from pagetop as section heading (default)
 --section=title     title as section headings for graphs
 --section=name      graph name as section heading
 --section=descr     graph description as section heading
 --section=portname  port name entry in pagetop as section heading
 --sectionhost       Try to prepend the host to the section heading if missing

 --rrdviewer=path    path to rrdviewer (default: /cgi-bin/14all.cgi)
 --icondir=path      path to icondir
 --prefix=path       path from the location of the index.html to the graphs
 --headeradd=string  add string to the html page header
 --autoprefix        try to set prefix automatically

 --<opt>-file=file   read string argument for option <opt> from file

DESCRIPTION
Indexmaker can create web pages which display the status of an array of mrtg interface status pages.

--output filename
    set output filename (default: stdout)

--filter (title|pagetop|name)(=~|!~)regexp
    Several filters may get set. Each filter can match agains the contents of a specific section of the mrtg config file. Name refers to the bit in square brackets (option[name]: bla).

    Depending on the match operator chosen (=~ or !~) the match will be positive or negative.

    Note that some shells consider ! a special character. It may be necessary to type \!~ instead.

--title text
    Set title of generated index file (default: regexp)

--bodyopt text
    The value of this argument gets appended to the <BODY> tag. This allows to set document colors. By default this option is set to

     bgcolor="#ffffff" text="#000000" link="#000000" vlink="#000000" alink="#000000"

--columns number
    Display graphs in a table with number columns (default: 2)

--sort title|name|descr|original
    Sort the graphs in the page either by title, by name, by interface description, or leave them as is.

--enumerate
    Add a sequence number to the title of each graph

--width number
    Set width of graphs

--height number
    Set the height of the graphs

--show day|week|month|year|none
    Select which graph to show in the index page. You can supress images completely with --show=none.

--section h1|title|name|description|portname
    Select what to use as the title for each graph in the page. h1 is the H1 section from pagetop, title is the graph title, name is the bit in square brackets (option[name]: bla), and descr or description is the text from the Description field of the PageTop (the Cisco description text if it's available, otherwise just the interface description). portname is the "Port Name:" from pagetop.

--sectionhost
    Extract the hostname from the target line (this does not work if the target is a mathematial expression). Prepend the hostname (and a colon) to the section if not already present.

--rrdviewer path
    If you have set the LogFormat: rrdtool property in the mrtg.cfg file, the index will take this into account. The only thing you must tell it is the path to your grapher cgi. (default: /cgi-bin/14all.cgi)

--prefix path
    By default we assume that the file generated by indexmaker is stored in WorkDir. If you want to store it somewhere else, specify how to reach WorkDir from the place where the Index is stored. Note that you have to use '/' as path separator as this will be used in urls. Speaking of which, you can even enter a whole url.

--autoprefix path
    Requires --output. Try to generate the prefix automatically by comparision of the path to the output file set with --output and the Htmldir set in the configuration files. Particulary useful when multiple configuration files are specified, with different Htmldir settings.

--optlog
    Default is logging in the generated page the command line, suppress with --nooptlog . Useful if the commandline contains a complex --pagetop=string which could confuse simple browsers.

--someoption-file filename
    For any someoption which takes a string as parameter you can read the string from a file by adding <-file> to the option keyword. The whole content of the file will be read and used as the string. The file must exist.

AUTHOR
Tobias Oetiker <tobi@oetiker.ch>

LICENSE
GNU General Public License

COPYRIGHT
2000-2001 Tobias Oetiker <tobi@oetiker.ch>